import { Column, Entity, PrimaryColumn } from 'typeorm';
import { CommonEntity } from './_common.entity';

@Entity('message_promotion_brand')
export class MessagePromotionBrandEntity extends CommonEntity {
  @PrimaryColumn({ type: 'bigint' })
  promotion_id: string;

  @PrimaryColumn({ type: 'smallint' })
  type: number;

  @Column({
    type: 'bigint',
    array: true,
    default: [],
  })
  user_ids: string[];

  @Column({
    type: 'varchar',
    default: '',
  })
  cover: string;

  @Column({
    type: 'varchar',
    default: '',
  })
  title: string;

  @Column({
    type: 'text',
    default: '',
  })
  description: string;

  @Column({
    type: 'varchar',
    default: '',
  })
  start_date: string;

  @Column({
    type: 'varchar',
    default: '',
  })
  end_date: string;

  @Column({
    type: 'smallint',
  })
  attack_type: number;

  @Column({
    type: 'bigint',
  })
  brand_id: string;
}
